//
// Generated by SwagGen
// https://github.com/yonaskolb/SwagGen
//

import Foundation
import JSONUtilities

public class Version: JSONDecodable, JSONEncodable, PrettyPrintable {

    public var needUpdate: Bool?

    public init(needUpdate: Bool? = nil) {
        self.needUpdate = needUpdate
    }

    public required init(jsonDictionary: JSONDictionary) throws {
        needUpdate = jsonDictionary.json(atKeyPath: "needUpdate")
    }

    public func encode() -> JSONDictionary {
        var dictionary: JSONDictionary = [:]
        if let needUpdate = needUpdate {
            dictionary["needUpdate"] = needUpdate
        }
        return dictionary
    }

    /// pretty prints all properties including nested models
    public var prettyPrinted: String {
        return "\(Swift.type(of: self)):\n\(encode().recursivePrint(indentIndex: 1))"
    }
}
